For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Campaigns

Delete Campaign

DELETE
https://api.vapi.ai/campaign/:id
DELETE
/campaign/:id
$curl -X DELETE https://api.vapi.ai/campaign/id \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "status": "scheduled",
3 "name": "Q2 Sales Campaign",
4 "id": "string",
5 "orgId": "string",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "updatedAt": "2024-01-15T09:30:00Z",
8 "calls": {},
9 "callsCounterScheduled": 1.1,
10 "callsCounterQueued": 1.1,
11 "callsCounterInProgress": 1.1,
12 "callsCounterEndedVoicemail": 1.1,
13 "callsCounterEnded": 1.1,
14 "endedReason": "campaign.scheduled.ended-by-user",
15 "assistantId": "string",
16 "workflowId": "string",
17 "squadId": "string",
18 "phoneNumberId": "string",
19 "dialPlan": [
20 {
21 "phoneNumberId": "string",
22 "customers": [
23 {
24 "numberE164CheckEnabled": true,
25 "extension": "string",
26 "assistantOverrides": {
27 "transcriber": {
28 "provider": "assembly-ai",
29 "language": "multi",
30 "confidenceThreshold": 0.4,
31 "formatTurns": true,
32 "endOfTurnConfidenceThreshold": 0.7,
33 "minEndOfTurnSilenceWhenConfident": 160,
34 "wordFinalizationMaxWaitTime": 160,
35 "maxTurnSilence": 400,
36 "vadAssistedEndpointingEnabled": true,
37 "speechModel": "universal-streaming-english",
38 "realtimeUrl": "string",
39 "wordBoost": [
40 "string"
41 ],
42 "keytermsPrompt": [
43 "string"
44 ],
45 "endUtteranceSilenceThreshold": 1.1,
46 "disablePartialTranscripts": true,
47 "fallbackPlan": {
48 "transcribers": [
49 {
50 "provider": "assembly-ai",
51 "language": "multi",
52 "confidenceThreshold": 0.4,
53 "formatTurns": true,
54 "endOfTurnConfidenceThreshold": 0.7,
55 "minEndOfTurnSilenceWhenConfident": 160,
56 "wordFinalizationMaxWaitTime": 160,
57 "maxTurnSilence": 400,
58 "vadAssistedEndpointingEnabled": true,
59 "speechModel": "universal-streaming-english",
60 "realtimeUrl": "string",
61 "wordBoost": [
62 "string"
63 ],
64 "keytermsPrompt": [
65 "string"
66 ],
67 "endUtteranceSilenceThreshold": 1.1,
68 "disablePartialTranscripts": true
69 }
70 ]
71 }
72 },
73 "model": {
74 "messages": [
75 {
76 "content": "string",
77 "role": "assistant"
78 }
79 ],
80 "tools": [
81 {
82 "messages": [
83 {
84 "contents": [
85 {
86 "type": {},
87 "text": {},
88 "language": {}
89 }
90 ],
91 "type": "request-start",
92 "blocking": false,
93 "content": "string",
94 "conditions": [
95 {
96 "operator": "eq",
97 "param": "string",
98 "value": "string"
99 }
100 ]
101 }
102 ],
103 "type": "apiRequest",
104 "method": "POST",
105 "timeoutSeconds": 20,
106 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
107 "encryptedPaths": [
108 "string"
109 ],
110 "parameters": [
111 {
112 "key": "string",
113 "value": {}
114 }
115 ],
116 "name": "string",
117 "description": "string",
118 "url": "string",
119 "body": {
120 "type": "string",
121 "items": {},
122 "properties": {},
123 "description": "string",
124 "pattern": "string",
125 "format": "date-time",
126 "required": [
127 "string"
128 ],
129 "enum": [
130 "string"
131 ],
132 "title": "string"
133 },
134 "headers": {
135 "type": "string",
136 "items": {},
137 "properties": {},
138 "description": "string",
139 "pattern": "string",
140 "format": "date-time",
141 "required": [
142 "string"
143 ],
144 "enum": [
145 "string"
146 ],
147 "title": "string"
148 },
149 "backoffPlan": {
150 "type": "fixed",
151 "maxRetries": 0,
152 "baseDelaySeconds": 1,
153 "excludedStatusCodes": [
154 400,
155 401,
156 403,
157 404
158 ]
159 },
160 "variableExtractionPlan": {
161 "schema": {
162 "type": {},
163 "items": {},
164 "properties": {},
165 "description": {},
166 "pattern": {},
167 "format": {},
168 "required": {},
169 "enum": {},
170 "title": {}
171 },
172 "aliases": [
173 {
174 "key": "string",
175 "value": "string"
176 }
177 ]
178 },
179 "rejectionPlan": {
180 "conditions": [
181 {
182 "type": "regex",
183 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
184 }
185 ]
186 }
187 }
188 ],
189 "toolIds": [
190 "string"
191 ],
192 "knowledgeBase": {
193 "provider": "custom-knowledge-base",
194 "server": {
195 "timeoutSeconds": 20,
196 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
197 "staticIpAddressesEnabled": false,
198 "encryptedPaths": [
199 "string"
200 ],
201 "url": "string",
202 "headers": {},
203 "backoffPlan": {
204 "type": "fixed",
205 "maxRetries": 0,
206 "baseDelaySeconds": 1,
207 "excludedStatusCodes": [
208 400,
209 401,
210 403,
211 404
212 ]
213 }
214 }
215 },
216 "model": "claude-3-opus-20240229",
217 "provider": "anthropic",
218 "thinking": {
219 "type": "enabled",
220 "budgetTokens": 50500
221 },
222 "temperature": 1.1,
223 "maxTokens": 5030,
224 "emotionRecognitionEnabled": true,
225 "numFastTurns": 1.1
226 },
227 "voice": {
228 "cachingEnabled": true,
229 "provider": "azure",
230 "voiceId": "andrew",
231 "chunkPlan": {
232 "enabled": true,
233 "minCharacters": 30,
234 "punctuationBoundaries": "。",
235 "formatPlan": {
236 "enabled": true,
237 "numberToDigitsCutoff": 2025,
238 "replacements": [
239 {
240 "type": {},
241 "replaceAllEnabled": {},
242 "key": {},
243 "value": {}
244 }
245 ],
246 "formattersEnabled": "markdown"
247 }
248 },
249 "speed": 1.1,
250 "fallbackPlan": {
251 "voices": [
252 {
253 "cachingEnabled": true,
254 "provider": "azure",
255 "voiceId": "andrew",
256 "speed": 1.1,
257 "chunkPlan": {
258 "enabled": true,
259 "minCharacters": 30,
260 "punctuationBoundaries": [
261 "。",
262 ",",
263 ".",
264 "!",
265 "?",
266 ";",
267 "،",
268 "۔",
269 "।",
270 "॥",
271 "|",
272 "||",
273 ",",
274 ":"
275 ],
276 "formatPlan": {}
277 },
278 "oneOf": null
279 }
280 ]
281 }
282 },
283 "firstMessage": "Hello! How can I help you today?",
284 "firstMessageInterruptionsEnabled": false,
285 "firstMessageMode": "assistant-speaks-first",
286 "voicemailDetection": "off",
287 "clientMessages": "conversation-update",
288 "serverMessages": "assistant.started",
289 "maxDurationSeconds": 600,
290 "backgroundSound": "off",
291 "modelOutputInMessagesEnabled": false,
292 "transportConfigurations": [
293 {
294 "provider": "twilio",
295 "timeout": 60,
296 "record": false,
297 "recordingChannels": "mono"
298 }
299 ],
300 "observabilityPlan": {
301 "provider": "langfuse",
302 "tags": [
303 "string"
304 ],
305 "promptName": "string",
306 "promptVersion": 1.1,
307 "traceName": "string",
308 "metadata": {}
309 },
310 "credentials": [
311 {
312 "provider": "anthropic",
313 "apiKey": "string",
314 "name": "string"
315 }
316 ],
317 "hooks": [
318 {
319 "on": "call.ending",
320 "do": [
321 {
322 "type": "tool",
323 "tool": {
324 "messages": [
325 {
326 "contents": {},
327 "type": {},
328 "blocking": false,
329 "content": {},
330 "conditions": {}
331 }
332 ],
333 "type": "apiRequest",
334 "method": "POST",
335 "timeoutSeconds": 20,
336 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
337 "encryptedPaths": [
338 "string"
339 ],
340 "parameters": [
341 {
342 "key": "string",
343 "value": {}
344 }
345 ],
346 "name": "string",
347 "description": "string",
348 "url": "string",
349 "body": {
350 "type": {},
351 "items": {},
352 "properties": {},
353 "description": {},
354 "pattern": {},
355 "format": {},
356 "required": {},
357 "enum": {},
358 "title": {}
359 },
360 "headers": {
361 "type": {},
362 "items": {},
363 "properties": {},
364 "description": {},
365 "pattern": {},
366 "format": {},
367 "required": {},
368 "enum": {},
369 "title": {}
370 },
371 "backoffPlan": {
372 "type": "fixed",
373 "maxRetries": 0,
374 "baseDelaySeconds": 1,
375 "excludedStatusCodes": [
376 400,
377 401,
378 403,
379 404
380 ]
381 },
382 "variableExtractionPlan": {
383 "schema": {},
384 "aliases": {}
385 },
386 "rejectionPlan": {
387 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
388 }
389 },
390 "toolId": "string"
391 }
392 ],
393 "filters": [
394 {
395 "type": "oneOf",
396 "key": "string",
397 "oneOf": [
398 "string"
399 ]
400 }
401 ]
402 }
403 ],
404 "tools:append": [
405 {
406 "messages": [
407 {
408 "contents": [
409 {
410 "type": "text",
411 "text": "string",
412 "language": "aa"
413 }
414 ],
415 "type": "request-start",
416 "blocking": false,
417 "content": "string",
418 "conditions": [
419 {
420 "operator": "eq",
421 "param": "string",
422 "value": "string"
423 }
424 ]
425 }
426 ],
427 "type": "apiRequest",
428 "method": "POST",
429 "timeoutSeconds": 20,
430 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
431 "encryptedPaths": [
432 "string"
433 ],
434 "parameters": [
435 {
436 "key": "string",
437 "value": {}
438 }
439 ],
440 "name": "string",
441 "description": "string",
442 "url": "string",
443 "body": {
444 "type": "string",
445 "items": {},
446 "properties": {},
447 "description": "string",
448 "pattern": "string",
449 "format": "date-time",
450 "required": [
451 "string"
452 ],
453 "enum": [
454 "string"
455 ],
456 "title": "string"
457 },
458 "headers": {
459 "type": "string",
460 "items": {},
461 "properties": {},
462 "description": "string",
463 "pattern": "string",
464 "format": "date-time",
465 "required": [
466 "string"
467 ],
468 "enum": [
469 "string"
470 ],
471 "title": "string"
472 },
473 "backoffPlan": {
474 "type": "fixed",
475 "maxRetries": 0,
476 "baseDelaySeconds": 1,
477 "excludedStatusCodes": [
478 400,
479 401,
480 403,
481 404
482 ]
483 },
484 "variableExtractionPlan": {
485 "schema": {
486 "type": "string",
487 "items": {},
488 "properties": {},
489 "description": "string",
490 "pattern": "string",
491 "format": "date-time",
492 "required": [
493 "string"
494 ],
495 "enum": [
496 "string"
497 ],
498 "title": "string"
499 },
500 "aliases": [
501 {
502 "key": "string",
503 "value": "string"
504 }
505 ]
506 },
507 "rejectionPlan": {
508 "conditions": [
509 {
510 "type": "regex",
511 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
512 }
513 ]
514 }
515 }
516 ],
517 "variableValues": {},
518 "name": "string",
519 "voicemailMessage": "string",
520 "endCallMessage": "string",
521 "endCallPhrases": [
522 "string"
523 ],
524 "compliancePlan": {
525 "hipaaEnabled": true,
526 "pciEnabled": {
527 "pciEnabled": false
528 },
529 "securityFilterPlan": {
530 "enabled": false,
531 "filters": [
532 {}
533 ],
534 "mode": "sanitize",
535 "replacementText": "[FILTERED]"
536 },
537 "recordingConsentPlan": {
538 "type": "stay-on-line",
539 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
540 "voice": {
541 "cachingEnabled": true,
542 "provider": "azure",
543 "voiceId": "andrew",
544 "chunkPlan": {
545 "enabled": true,
546 "minCharacters": 30,
547 "punctuationBoundaries": "。",
548 "formatPlan": {}
549 },
550 "speed": 1.1,
551 "fallbackPlan": {
552 "voices": [
553 {}
554 ]
555 }
556 },
557 "waitSeconds": 3
558 }
559 },
560 "metadata": {},
561 "backgroundSpeechDenoisingPlan": {
562 "smartDenoisingPlan": {
563 "enabled": true
564 },
565 "fourierDenoisingPlan": {
566 "enabled": false,
567 "mediaDetectionEnabled": true,
568 "staticThreshold": -35,
569 "baselineOffsetDb": -15,
570 "windowSizeMs": 3000,
571 "baselinePercentile": 85
572 }
573 },
574 "analysisPlan": {
575 "summaryPlan": {
576 "messages": [
577 {}
578 ],
579 "enabled": true,
580 "timeoutSeconds": 1.1
581 },
582 "structuredDataPlan": {
583 "messages": [
584 {}
585 ],
586 "enabled": true,
587 "schema": {
588 "type": "string",
589 "items": {},
590 "properties": {},
591 "description": "string",
592 "pattern": "string",
593 "format": "date-time",
594 "required": [
595 "string"
596 ],
597 "enum": [
598 "string"
599 ],
600 "title": "string"
601 },
602 "timeoutSeconds": 1.1
603 },
604 "successEvaluationPlan": {
605 "rubric": "NumericScale",
606 "messages": [
607 {}
608 ],
609 "enabled": true,
610 "timeoutSeconds": 1.1
611 },
612 "minMessagesThreshold": 1.1,
613 "structuredDataMultiPlan": [
614 {
615 "key": "string",
616 "plan": {
617 "messages": [
618 {}
619 ],
620 "enabled": true,
621 "schema": {
622 "type": "string",
623 "items": {},
624 "properties": {},
625 "description": "string",
626 "pattern": "string",
627 "format": "date-time",
628 "required": [
629 "string"
630 ],
631 "enum": [
632 "string"
633 ],
634 "title": "string"
635 },
636 "timeoutSeconds": 1.1
637 }
638 }
639 ],
640 "outcomeIds": [
641 "string"
642 ]
643 },
644 "artifactPlan": {
645 "recordingEnabled": true,
646 "recordingFormat": "wav;l16",
647 "recordingUseCustomStorageEnabled": true,
648 "videoRecordingEnabled": false,
649 "fullMessageHistoryEnabled": false,
650 "pcapEnabled": true,
651 "pcapS3PathPrefix": "/pcaps",
652 "pcapUseCustomStorageEnabled": true,
653 "loggingEnabled": true,
654 "loggingUseCustomStorageEnabled": true,
655 "transcriptPlan": {
656 "enabled": true,
657 "assistantName": "string",
658 "userName": "string"
659 },
660 "recordingPath": "string",
661 "structuredOutputIds": [
662 "string"
663 ],
664 "structuredOutputs": [
665 {
666 "name": "string",
667 "schema": {
668 "type": "string",
669 "items": {},
670 "properties": {},
671 "description": "string",
672 "pattern": "string",
673 "format": "date-time",
674 "required": [
675 "string"
676 ],
677 "enum": [
678 "string"
679 ],
680 "title": "string"
681 },
682 "type": "ai",
683 "regex": "string",
684 "model": {
685 "provider": "openai",
686 "model": "gpt-5.4",
687 "temperature": 1.1,
688 "maxTokens": 5030
689 },
690 "compliancePlan": {
691 "forceStoreOnHipaaEnabled": false
692 },
693 "description": "string",
694 "assistantIds": [
695 "string"
696 ],
697 "workflowIds": [
698 "string"
699 ]
700 }
701 ],
702 "scorecardIds": [
703 "string"
704 ],
705 "scorecards": [
706 {
707 "metrics": [
708 {
709 "structuredOutputId": "string",
710 "conditions": [
711 {}
712 ]
713 }
714 ],
715 "name": "string",
716 "description": "string",
717 "assistantIds": [
718 "string"
719 ]
720 }
721 ],
722 "loggingPath": "string"
723 },
724 "startSpeakingPlan": {
725 "waitSeconds": 0.4,
726 "smartEndpointingPlan": {
727 "provider": "vapi"
728 },
729 "customEndpointingRules": [
730 {
731 "type": "assistant",
732 "regex": "string",
733 "regexOptions": [
734 {
735 "type": "ignore-case",
736 "enabled": true
737 }
738 ],
739 "timeoutSeconds": 1.1
740 }
741 ],
742 "transcriptionEndpointingPlan": {
743 "onPunctuationSeconds": 0.1,
744 "onNoPunctuationSeconds": 1.5,
745 "onNumberSeconds": 0.5
746 },
747 "smartEndpointingEnabled": false
748 },
749 "stopSpeakingPlan": {
750 "numWords": 0,
751 "voiceSeconds": 0.2,
752 "backoffSeconds": 1,
753 "acknowledgementPhrases": [
754 "i understand",
755 "i see",
756 "i got it",
757 "i hear you",
758 "im listening",
759 "im with you",
760 "right",
761 "okay",
762 "ok",
763 "sure",
764 "alright",
765 "got it",
766 "understood",
767 "yeah",
768 "yes",
769 "uh-huh",
770 "mm-hmm",
771 "gotcha",
772 "mhmm",
773 "ah",
774 "yeah okay",
775 "yeah sure"
776 ],
777 "interruptionPhrases": [
778 "stop",
779 "shut",
780 "up",
781 "enough",
782 "quiet",
783 "silence",
784 "but",
785 "dont",
786 "not",
787 "no",
788 "hold",
789 "wait",
790 "cut",
791 "pause",
792 "nope",
793 "nah",
794 "nevermind",
795 "never",
796 "bad",
797 "actually"
798 ]
799 },
800 "monitorPlan": {
801 "listenEnabled": false,
802 "listenAuthenticationEnabled": false,
803 "controlEnabled": false,
804 "controlAuthenticationEnabled": false,
805 "monitorIds": [
806 "123e4567-e89b-12d3-a456-426614174000"
807 ]
808 },
809 "credentialIds": [
810 "string"
811 ],
812 "server": {
813 "timeoutSeconds": 20,
814 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
815 "staticIpAddressesEnabled": false,
816 "encryptedPaths": [
817 "string"
818 ],
819 "url": "string",
820 "headers": {},
821 "backoffPlan": {
822 "type": "fixed",
823 "maxRetries": 0,
824 "baseDelaySeconds": 1,
825 "excludedStatusCodes": [
826 400,
827 401,
828 403,
829 404
830 ]
831 }
832 },
833 "keypadInputPlan": {
834 "enabled": true,
835 "timeoutSeconds": 1.1,
836 "delimiters": "#"
837 }
838 },
839 "number": "string",
840 "sipUri": "string",
841 "name": "string",
842 "email": "string",
843 "externalId": "string"
844 }
845 ]
846 }
847 ],
848 "schedulePlan": {
849 "earliestAt": "2024-01-15T09:30:00Z",
850 "latestAt": "2024-01-15T09:30:00Z"
851 },
852 "customers": [
853 {
854 "numberE164CheckEnabled": true,
855 "extension": "string",
856 "assistantOverrides": {
857 "transcriber": {
858 "provider": "assembly-ai",
859 "language": "multi",
860 "confidenceThreshold": 0.4,
861 "formatTurns": true,
862 "endOfTurnConfidenceThreshold": 0.7,
863 "minEndOfTurnSilenceWhenConfident": 160,
864 "wordFinalizationMaxWaitTime": 160,
865 "maxTurnSilence": 400,
866 "vadAssistedEndpointingEnabled": true,
867 "speechModel": "universal-streaming-english",
868 "realtimeUrl": "string",
869 "wordBoost": [
870 "string"
871 ],
872 "keytermsPrompt": [
873 "string"
874 ],
875 "endUtteranceSilenceThreshold": 1.1,
876 "disablePartialTranscripts": true,
877 "fallbackPlan": {
878 "transcribers": [
879 {
880 "provider": "assembly-ai",
881 "language": "multi",
882 "confidenceThreshold": 0.4,
883 "formatTurns": true,
884 "endOfTurnConfidenceThreshold": 0.7,
885 "minEndOfTurnSilenceWhenConfident": 160,
886 "wordFinalizationMaxWaitTime": 160,
887 "maxTurnSilence": 400,
888 "vadAssistedEndpointingEnabled": true,
889 "speechModel": "universal-streaming-english",
890 "realtimeUrl": "string",
891 "wordBoost": [
892 "string"
893 ],
894 "keytermsPrompt": [
895 "string"
896 ],
897 "endUtteranceSilenceThreshold": 1.1,
898 "disablePartialTranscripts": true
899 }
900 ]
901 }
902 },
903 "model": {
904 "messages": [
905 {
906 "content": "string",
907 "role": "assistant"
908 }
909 ],
910 "tools": [
911 {
912 "messages": [
913 {
914 "contents": [
915 {
916 "type": "text",
917 "text": "string",
918 "language": "aa"
919 }
920 ],
921 "type": "request-start",
922 "blocking": false,
923 "content": "string",
924 "conditions": [
925 {
926 "operator": "eq",
927 "param": "string",
928 "value": "string"
929 }
930 ]
931 }
932 ],
933 "type": "apiRequest",
934 "method": "POST",
935 "timeoutSeconds": 20,
936 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
937 "encryptedPaths": [
938 "string"
939 ],
940 "parameters": [
941 {
942 "key": "string",
943 "value": {}
944 }
945 ],
946 "name": "string",
947 "description": "string",
948 "url": "string",
949 "body": {
950 "type": "string",
951 "items": {},
952 "properties": {},
953 "description": "string",
954 "pattern": "string",
955 "format": "date-time",
956 "required": [
957 "string"
958 ],
959 "enum": [
960 "string"
961 ],
962 "title": "string"
963 },
964 "headers": {
965 "type": "string",
966 "items": {},
967 "properties": {},
968 "description": "string",
969 "pattern": "string",
970 "format": "date-time",
971 "required": [
972 "string"
973 ],
974 "enum": [
975 "string"
976 ],
977 "title": "string"
978 },
979 "backoffPlan": {
980 "type": "fixed",
981 "maxRetries": 0,
982 "baseDelaySeconds": 1,
983 "excludedStatusCodes": [
984 400,
985 401,
986 403,
987 404
988 ]
989 },
990 "variableExtractionPlan": {
991 "schema": {
992 "type": "string",
993 "items": {},
994 "properties": {},
995 "description": "string",
996 "pattern": "string",
997 "format": "date-time",
998 "required": [
999 "string"
1000 ],
1001 "enum": [
1002 "string"
1003 ],
1004 "title": "string"
1005 },
1006 "aliases": [
1007 {
1008 "key": "string",
1009 "value": "string"
1010 }
1011 ]
1012 },
1013 "rejectionPlan": {
1014 "conditions": [
1015 {
1016 "type": "regex",
1017 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1018 }
1019 ]
1020 }
1021 }
1022 ],
1023 "toolIds": [
1024 "string"
1025 ],
1026 "knowledgeBase": {
1027 "provider": "custom-knowledge-base",
1028 "server": {
1029 "timeoutSeconds": 20,
1030 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1031 "staticIpAddressesEnabled": false,
1032 "encryptedPaths": [
1033 "string"
1034 ],
1035 "url": "string",
1036 "headers": {},
1037 "backoffPlan": {
1038 "type": "fixed",
1039 "maxRetries": 0,
1040 "baseDelaySeconds": 1,
1041 "excludedStatusCodes": [
1042 400,
1043 401,
1044 403,
1045 404
1046 ]
1047 }
1048 }
1049 },
1050 "model": "claude-3-opus-20240229",
1051 "provider": "anthropic",
1052 "thinking": {
1053 "type": "enabled",
1054 "budgetTokens": 50500
1055 },
1056 "temperature": 1.1,
1057 "maxTokens": 5030,
1058 "emotionRecognitionEnabled": true,
1059 "numFastTurns": 1.1
1060 },
1061 "voice": {
1062 "cachingEnabled": true,
1063 "provider": "azure",
1064 "voiceId": "andrew",
1065 "chunkPlan": {
1066 "enabled": true,
1067 "minCharacters": 30,
1068 "punctuationBoundaries": "。",
1069 "formatPlan": {
1070 "enabled": true,
1071 "numberToDigitsCutoff": 2025,
1072 "replacements": [
1073 {
1074 "type": "exact",
1075 "replaceAllEnabled": false,
1076 "key": "string",
1077 "value": "string"
1078 }
1079 ],
1080 "formattersEnabled": "markdown"
1081 }
1082 },
1083 "speed": 1.1,
1084 "fallbackPlan": {
1085 "voices": [
1086 {
1087 "cachingEnabled": true,
1088 "provider": "azure",
1089 "voiceId": "andrew",
1090 "speed": 1.1,
1091 "chunkPlan": {
1092 "enabled": true,
1093 "minCharacters": 30,
1094 "punctuationBoundaries": "。",
1095 "formatPlan": {}
1096 },
1097 "oneOf": null
1098 }
1099 ]
1100 }
1101 },
1102 "firstMessage": "Hello! How can I help you today?",
1103 "firstMessageInterruptionsEnabled": false,
1104 "firstMessageMode": "assistant-speaks-first",
1105 "voicemailDetection": "off",
1106 "clientMessages": "conversation-update",
1107 "serverMessages": "assistant.started",
1108 "maxDurationSeconds": 600,
1109 "backgroundSound": "off",
1110 "modelOutputInMessagesEnabled": false,
1111 "transportConfigurations": [
1112 {
1113 "provider": "twilio",
1114 "timeout": 60,
1115 "record": false,
1116 "recordingChannels": "mono"
1117 }
1118 ],
1119 "observabilityPlan": {
1120 "provider": "langfuse",
1121 "tags": [
1122 "string"
1123 ],
1124 "promptName": "string",
1125 "promptVersion": 1.1,
1126 "traceName": "string",
1127 "metadata": {}
1128 },
1129 "credentials": [
1130 {
1131 "provider": "anthropic",
1132 "apiKey": "string",
1133 "name": "string"
1134 }
1135 ],
1136 "hooks": [
1137 {
1138 "on": "call.ending",
1139 "do": [
1140 {
1141 "type": "tool",
1142 "tool": {
1143 "messages": [
1144 {
1145 "contents": [
1146 {}
1147 ],
1148 "type": "request-start",
1149 "blocking": false,
1150 "content": "string",
1151 "conditions": [
1152 {
1153 "operator": {},
1154 "param": {},
1155 "value": {}
1156 }
1157 ]
1158 }
1159 ],
1160 "type": "apiRequest",
1161 "method": "POST",
1162 "timeoutSeconds": 20,
1163 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1164 "encryptedPaths": [
1165 "string"
1166 ],
1167 "parameters": [
1168 {
1169 "key": "string",
1170 "value": {}
1171 }
1172 ],
1173 "name": "string",
1174 "description": "string",
1175 "url": "string",
1176 "body": {
1177 "type": "string",
1178 "items": {},
1179 "properties": {},
1180 "description": "string",
1181 "pattern": "string",
1182 "format": "date-time",
1183 "required": [
1184 "string"
1185 ],
1186 "enum": [
1187 "string"
1188 ],
1189 "title": "string"
1190 },
1191 "headers": {
1192 "type": "string",
1193 "items": {},
1194 "properties": {},
1195 "description": "string",
1196 "pattern": "string",
1197 "format": "date-time",
1198 "required": [
1199 "string"
1200 ],
1201 "enum": [
1202 "string"
1203 ],
1204 "title": "string"
1205 },
1206 "backoffPlan": {
1207 "type": "fixed",
1208 "maxRetries": 0,
1209 "baseDelaySeconds": 1,
1210 "excludedStatusCodes": [
1211 400,
1212 401,
1213 403,
1214 404
1215 ]
1216 },
1217 "variableExtractionPlan": {
1218 "schema": {},
1219 "aliases": [
1220 {
1221 "key": {},
1222 "value": {}
1223 }
1224 ]
1225 },
1226 "rejectionPlan": {
1227 "conditions": [
1228 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
1229 ]
1230 }
1231 },
1232 "toolId": "string"
1233 }
1234 ],
1235 "filters": [
1236 {
1237 "type": "oneOf",
1238 "key": "string",
1239 "oneOf": [
1240 "string"
1241 ]
1242 }
1243 ]
1244 }
1245 ],
1246 "tools:append": [
1247 {
1248 "messages": [
1249 {
1250 "contents": [
1251 {
1252 "type": "text",
1253 "text": "string",
1254 "language": "aa"
1255 }
1256 ],
1257 "type": "request-start",
1258 "blocking": false,
1259 "content": "string",
1260 "conditions": [
1261 {
1262 "operator": "eq",
1263 "param": "string",
1264 "value": "string"
1265 }
1266 ]
1267 }
1268 ],
1269 "type": "apiRequest",
1270 "method": "POST",
1271 "timeoutSeconds": 20,
1272 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1273 "encryptedPaths": [
1274 "string"
1275 ],
1276 "parameters": [
1277 {
1278 "key": "string",
1279 "value": {}
1280 }
1281 ],
1282 "name": "string",
1283 "description": "string",
1284 "url": "string",
1285 "body": {
1286 "type": "string",
1287 "items": {},
1288 "properties": {},
1289 "description": "string",
1290 "pattern": "string",
1291 "format": "date-time",
1292 "required": [
1293 "string"
1294 ],
1295 "enum": [
1296 "string"
1297 ],
1298 "title": "string"
1299 },
1300 "headers": {
1301 "type": "string",
1302 "items": {},
1303 "properties": {},
1304 "description": "string",
1305 "pattern": "string",
1306 "format": "date-time",
1307 "required": [
1308 "string"
1309 ],
1310 "enum": [
1311 "string"
1312 ],
1313 "title": "string"
1314 },
1315 "backoffPlan": {
1316 "type": "fixed",
1317 "maxRetries": 0,
1318 "baseDelaySeconds": 1,
1319 "excludedStatusCodes": [
1320 400,
1321 401,
1322 403,
1323 404
1324 ]
1325 },
1326 "variableExtractionPlan": {
1327 "schema": {
1328 "type": "string",
1329 "items": {},
1330 "properties": {},
1331 "description": "string",
1332 "pattern": "string",
1333 "format": "date-time",
1334 "required": [
1335 "string"
1336 ],
1337 "enum": [
1338 "string"
1339 ],
1340 "title": "string"
1341 },
1342 "aliases": [
1343 {
1344 "key": "string",
1345 "value": "string"
1346 }
1347 ]
1348 },
1349 "rejectionPlan": {
1350 "conditions": [
1351 {
1352 "type": "regex",
1353 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1354 }
1355 ]
1356 }
1357 }
1358 ],
1359 "variableValues": {},
1360 "name": "string",
1361 "voicemailMessage": "string",
1362 "endCallMessage": "string",
1363 "endCallPhrases": [
1364 "string"
1365 ],
1366 "compliancePlan": {
1367 "hipaaEnabled": true,
1368 "pciEnabled": {
1369 "pciEnabled": false
1370 },
1371 "securityFilterPlan": {
1372 "enabled": false,
1373 "filters": [
1374 {}
1375 ],
1376 "mode": "sanitize",
1377 "replacementText": "[FILTERED]"
1378 },
1379 "recordingConsentPlan": {
1380 "type": "stay-on-line",
1381 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1382 "voice": {
1383 "cachingEnabled": true,
1384 "provider": "azure",
1385 "voiceId": "andrew",
1386 "chunkPlan": {
1387 "enabled": true,
1388 "minCharacters": 30,
1389 "punctuationBoundaries": "。",
1390 "formatPlan": {
1391 "enabled": true,
1392 "numberToDigitsCutoff": 2025,
1393 "replacements": {},
1394 "formattersEnabled": {}
1395 }
1396 },
1397 "speed": 1.1,
1398 "fallbackPlan": {
1399 "voices": [
1400 {
1401 "cachingEnabled": true,
1402 "provider": {},
1403 "voiceId": {},
1404 "speed": {},
1405 "chunkPlan": {},
1406 "oneOf": {}
1407 }
1408 ]
1409 }
1410 },
1411 "waitSeconds": 3
1412 }
1413 },
1414 "metadata": {},
1415 "backgroundSpeechDenoisingPlan": {
1416 "smartDenoisingPlan": {
1417 "enabled": true
1418 },
1419 "fourierDenoisingPlan": {
1420 "enabled": false,
1421 "mediaDetectionEnabled": true,
1422 "staticThreshold": -35,
1423 "baselineOffsetDb": -15,
1424 "windowSizeMs": 3000,
1425 "baselinePercentile": 85
1426 }
1427 },
1428 "analysisPlan": {
1429 "summaryPlan": {
1430 "messages": [
1431 {}
1432 ],
1433 "enabled": true,
1434 "timeoutSeconds": 1.1
1435 },
1436 "structuredDataPlan": {
1437 "messages": [
1438 {}
1439 ],
1440 "enabled": true,
1441 "schema": {
1442 "type": "string",
1443 "items": {},
1444 "properties": {},
1445 "description": "string",
1446 "pattern": "string",
1447 "format": "date-time",
1448 "required": [
1449 "string"
1450 ],
1451 "enum": [
1452 "string"
1453 ],
1454 "title": "string"
1455 },
1456 "timeoutSeconds": 1.1
1457 },
1458 "successEvaluationPlan": {
1459 "rubric": "NumericScale",
1460 "messages": [
1461 {}
1462 ],
1463 "enabled": true,
1464 "timeoutSeconds": 1.1
1465 },
1466 "minMessagesThreshold": 1.1,
1467 "structuredDataMultiPlan": [
1468 {
1469 "key": "string",
1470 "plan": {
1471 "messages": [
1472 {}
1473 ],
1474 "enabled": true,
1475 "schema": {
1476 "type": "string",
1477 "items": {},
1478 "properties": {},
1479 "description": "string",
1480 "pattern": "string",
1481 "format": "date-time",
1482 "required": [
1483 "string"
1484 ],
1485 "enum": [
1486 "string"
1487 ],
1488 "title": "string"
1489 },
1490 "timeoutSeconds": 1.1
1491 }
1492 }
1493 ],
1494 "outcomeIds": [
1495 "string"
1496 ]
1497 },
1498 "artifactPlan": {
1499 "recordingEnabled": true,
1500 "recordingFormat": "wav;l16",
1501 "recordingUseCustomStorageEnabled": true,
1502 "videoRecordingEnabled": false,
1503 "fullMessageHistoryEnabled": false,
1504 "pcapEnabled": true,
1505 "pcapS3PathPrefix": "/pcaps",
1506 "pcapUseCustomStorageEnabled": true,
1507 "loggingEnabled": true,
1508 "loggingUseCustomStorageEnabled": true,
1509 "transcriptPlan": {
1510 "enabled": true,
1511 "assistantName": "string",
1512 "userName": "string"
1513 },
1514 "recordingPath": "string",
1515 "structuredOutputIds": [
1516 "string"
1517 ],
1518 "structuredOutputs": [
1519 {
1520 "name": "string",
1521 "schema": {
1522 "type": "string",
1523 "items": {},
1524 "properties": {},
1525 "description": "string",
1526 "pattern": "string",
1527 "format": "date-time",
1528 "required": [
1529 "string"
1530 ],
1531 "enum": [
1532 "string"
1533 ],
1534 "title": "string"
1535 },
1536 "type": "ai",
1537 "regex": "string",
1538 "model": {
1539 "provider": "openai",
1540 "model": "gpt-5.4",
1541 "temperature": 1.1,
1542 "maxTokens": 5030
1543 },
1544 "compliancePlan": {
1545 "forceStoreOnHipaaEnabled": false
1546 },
1547 "description": "string",
1548 "assistantIds": [
1549 "string"
1550 ],
1551 "workflowIds": [
1552 "string"
1553 ]
1554 }
1555 ],
1556 "scorecardIds": [
1557 "string"
1558 ],
1559 "scorecards": [
1560 {
1561 "metrics": [
1562 {
1563 "structuredOutputId": "string",
1564 "conditions": [
1565 {}
1566 ]
1567 }
1568 ],
1569 "name": "string",
1570 "description": "string",
1571 "assistantIds": [
1572 "string"
1573 ]
1574 }
1575 ],
1576 "loggingPath": "string"
1577 },
1578 "startSpeakingPlan": {
1579 "waitSeconds": 0.4,
1580 "smartEndpointingPlan": {
1581 "provider": "vapi"
1582 },
1583 "customEndpointingRules": [
1584 {
1585 "type": "assistant",
1586 "regex": "string",
1587 "regexOptions": [
1588 {
1589 "type": "ignore-case",
1590 "enabled": true
1591 }
1592 ],
1593 "timeoutSeconds": 1.1
1594 }
1595 ],
1596 "transcriptionEndpointingPlan": {
1597 "onPunctuationSeconds": 0.1,
1598 "onNoPunctuationSeconds": 1.5,
1599 "onNumberSeconds": 0.5
1600 },
1601 "smartEndpointingEnabled": false
1602 },
1603 "stopSpeakingPlan": {
1604 "numWords": 0,
1605 "voiceSeconds": 0.2,
1606 "backoffSeconds": 1,
1607 "acknowledgementPhrases": [
1608 "i understand",
1609 "i see",
1610 "i got it",
1611 "i hear you",
1612 "im listening",
1613 "im with you",
1614 "right",
1615 "okay",
1616 "ok",
1617 "sure",
1618 "alright",
1619 "got it",
1620 "understood",
1621 "yeah",
1622 "yes",
1623 "uh-huh",
1624 "mm-hmm",
1625 "gotcha",
1626 "mhmm",
1627 "ah",
1628 "yeah okay",
1629 "yeah sure"
1630 ],
1631 "interruptionPhrases": [
1632 "stop",
1633 "shut",
1634 "up",
1635 "enough",
1636 "quiet",
1637 "silence",
1638 "but",
1639 "dont",
1640 "not",
1641 "no",
1642 "hold",
1643 "wait",
1644 "cut",
1645 "pause",
1646 "nope",
1647 "nah",
1648 "nevermind",
1649 "never",
1650 "bad",
1651 "actually"
1652 ]
1653 },
1654 "monitorPlan": {
1655 "listenEnabled": false,
1656 "listenAuthenticationEnabled": false,
1657 "controlEnabled": false,
1658 "controlAuthenticationEnabled": false,
1659 "monitorIds": [
1660 "123e4567-e89b-12d3-a456-426614174000"
1661 ]
1662 },
1663 "credentialIds": [
1664 "string"
1665 ],
1666 "server": {
1667 "timeoutSeconds": 20,
1668 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1669 "staticIpAddressesEnabled": false,
1670 "encryptedPaths": [
1671 "string"
1672 ],
1673 "url": "string",
1674 "headers": {},
1675 "backoffPlan": {
1676 "type": "fixed",
1677 "maxRetries": 0,
1678 "baseDelaySeconds": 1,
1679 "excludedStatusCodes": [
1680 400,
1681 401,
1682 403,
1683 404
1684 ]
1685 }
1686 },
1687 "keypadInputPlan": {
1688 "enabled": true,
1689 "timeoutSeconds": 1.1,
1690 "delimiters": "#"
1691 }
1692 },
1693 "number": "string",
1694 "sipUri": "string",
1695 "name": "string",
1696 "email": "string",
1697 "externalId": "string"
1698 }
1699 ]
1700}
Was this page helpful?
Previous

Update Campaign

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Response

statusenum
This is the status of the campaign.
Allowed values:
namestring
This is the name of the campaign. This is just for your own reference.
idstring
This is the unique identifier for the campaign.
orgIdstring
This is the unique identifier for the org that this campaign belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the campaign was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the campaign was last updated.

callsobject
This is a map of call IDs to campaign call details.
callsCounterScheduleddouble
This is the number of calls that have been scheduled.
callsCounterQueueddouble
This is the number of calls that have been queued.
callsCounterInProgressdouble
This is the number of calls that have been in progress.
callsCounterEndedVoicemaildouble
This is the number of calls whose ended reason is 'voicemail'.
callsCounterEndeddouble
This is the number of calls that have ended.
endedReasonenum
This is the explanation for how the campaign ended.
Allowed values:
assistantIdstring

This is the assistant ID that will be used for the campaign calls. Note: Only one of assistantId, workflowId, or squadId can be used.

workflowIdstring

This is the workflow ID that will be used for the campaign calls. Note: Only one of assistantId, workflowId, or squadId can be used.

squadIdstring

This is the squad ID that will be used for the campaign calls. Note: Only one of assistantId, workflowId, or squadId can be used.

phoneNumberIdstring

This is the phone number ID that will be used for the campaign calls. Required if dialPlan is not provided. Note: phoneNumberId and dialPlan are mutually exclusive.

dialPlanlist of objects

This is a list of dial entries, each specifying a phone number and the customers to call using that number. Use this when you want different phone numbers to call different sets of customers. Note: phoneNumberId and dialPlan are mutually exclusive.

schedulePlanobject

This is the schedule plan for the campaign. Calls will start at startedAt and continue until your organization’s concurrency limit is reached. Any remaining calls will be retried for up to one hour as capacity becomes available. After that hour or after latestAt, whichever comes first, any calls that couldn’t be placed won’t be retried.

customerslist of objects
These are the customers that will be called in the campaign. Required if dialPlan is not provided.